---
title: "Simulate a Card Transaction Adjustment - Non-EEA"
source_url: https://docs.rapyd.net/en/simulate-a-card-transaction-adjustment---non-eea.html
lang: en
---

# Simulate a Card Transaction Adjustment - Non-EEA

Use this method in the sandbox to simulate an adjustment to a card transaction. A retail location can adjust the amount of a transaction made by an issued card. The adjustment is either a credit or a debit. This method triggers [Card Issuing Adjustment Webhook](https://docs.rapyd.net/en/card-issuing-adjustment-webhook.md "Card Issuing Adjustment Webhook"). This webhook contains the same information as the response. This method applies to cards issued outside the European Economic Area (EEA).

**Prerequisites:**

- [Issue Card](https://docs.rapyd.net/en/issue-card.md "Issue Card")
- [Activate Issued Card Using API](https://docs.rapyd.net/en/activate-issued-card-using-api.md "Activate Issued Card Using API")
- [Simulate a Card Transaction Authorization Request - Non-EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---non-eea.md "Simulate a Card Transaction Authorization Request - Non-EEA")

### Parameters

### Request Body Parameters

- - amount
  - The amount of the adjustment, in units of the currency defined in `currency`. Decimal.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_transaction_id
  - ID of the transaction to adjust. String starting with **cit_**.
- - currency
  - The adjustment currency. Three-letter ISO 4217 code.
- - financial_impact
  - Indicates the financial impact of the adjustment. One of the following:

    - **credit**
    - **debit**

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- /v1/issuing/cards/adjustment

- Card Transaction Adjustment - Credit
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/adjustment
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
      "amount": 5,
      "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
      "card_transaction_id": "cit_276b731c9455cd901c2d453d5fc63704",
      "currency": "USD",
      "financial_impact": "credit"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "cfca34b1-1de3-43b3-b00a-79ebb20a0529"
      },
      "data": {
          "id": "cit_34aa8f5f6fccd4de79b9a69a6eaab97c",
          "amount": 5,
          "currency": "USD",
          "created_at": 1683463588,
          "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
          "merchant_category_code": "",
          "merchant_name_location": "",
          "auth_code": "0VEHT2",
          "bin": "557433",
          "last4": "7654",
          "issuing_txn_type": "ADJUSTMENT",
          "pos_entry_mode": "",
          "systems_trace_audit_number": "",
          "retrieval_reference_number": "98576DE6B883",
          "original_transaction_id": "cit_276b731c9455cd901c2d453d5fc63704",
          "original_txn_amount": null,
          "original_txn_currency": "",
          "fx_rate": 1,
          "card_program_id": "cardprog_b027c85a66ebebb2e094bca626d5ae97",
          "wallet_transaction_id": "wt_e93e7734834ba54840f6173613ad9947"
      }
  }
  ```

- Card Transaction Adjustment - Debit
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/adjustment
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
      "amount": 5,
      "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
      "card_transaction_id": "cit_276b731c9455cd901c2d453d5fc63704",
      "currency": "USD",
      "financial_impact": "debit"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "5b6c69a4-901f-4ed6-94fd-dffdf96b6779"
      },
      "data": {
          "id": "cit_cdd20b9e1e978b24fa693fa04a05335f",
          "amount": 5,
          "currency": "USD",
          "created_at": 1683523020,
          "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
          "merchant_category_code": "",
          "merchant_name_location": "",
          "auth_code": "0VEHT2",
          "bin": "557433",
          "last4": "7654",
          "issuing_txn_type": "ADJUSTMENT",
          "pos_entry_mode": "",
          "systems_trace_audit_number": "",
          "retrieval_reference_number": "98576DE6B883",
          "original_transaction_id": "",
          "original_txn_amount": null,
          "original_txn_currency": "",
          "fx_rate": 1,
          "card_program_id": "cardprog_b027c85a66ebebb2e094bca626d5ae97",
          "wallet_transaction_id": "wt_b49827388937b27b51d40a3cd5a2622d"
      }
  }
  ```
